Subject: bug#20743: 24.4; Meta on left win key doesn't work

From: Stefan Monnier <[email-masked]>
Date: Thu, 11 Jun 2015 11:21:01 -0400

>> the settings xev reports the left Win key as Meta and also all Qt/KDE
>> programs do. But in Emacs left Win key gives me Hyper and left Alt
>> gives me Meta.

In X11, modifiers have two names: there's the "Sym" name associated with
the key, and then there's the mapping to which Sym name is used for
which modifier bit.

Remapping key names ("Sym"s) is not sufficient to change the modifier to
which they're associated (or to mark them as a modifier).

So, check the output of "xmodmap", which will probably show that your
"Meta_L" is mapped to the "mod5" modifier, which is traditionally
interpreted as "hyper", tho IIRC this mapping between modifier bits and
the corresponding name is more subtle and not completely standardized.

        Stefan